# Uses of Enum Class
org.apache.sysds.common.Types.ExecMode

Packages that use Types.ExecMode
Package
Description
org.apache.sysds.api
org.apache.sysds.api.mlcontext
org.apache.sysds.common
org.apache.sysds.hops
org.apache.sysds.runtime.controlprogram.context

## Uses of Types.ExecMode in org.apache.sysds.api

Fields in org.apache.sysds.api declared as Types.ExecMode
Modifier and Type
Field
Description
`Types.ExecMode`
DMLOptions.`execMode`
Methods in org.apache.sysds.api that return Types.ExecMode
Modifier and Type
Method
Description
`static Types.ExecMode`
DMLScript.`getGlobalExecMode()`
Methods in org.apache.sysds.api with parameters of type Types.ExecMode
Modifier and Type
Method
Description
`static void`
DMLScript.`setGlobalExecMode(Types.ExecMode mode)`

## Uses of Types.ExecMode in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext that return Types.ExecMode
Modifier and Type
Method
Description
`Types.ExecMode`
MLContext.ExecutionType.`getExecMode()`

## Uses of Types.ExecMode in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.ExecMode
Modifier and Type
Method
Description
`static Types.ExecMode`
Types.ExecMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.ExecMode[]`
Types.ExecMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Types.ExecMode in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return Types.ExecMode
Modifier and Type
Method
Description
`static Types.ExecMode`
OptimizerUtils.`getDefaultExecutionMode()`

## Uses of Types.ExecMode in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context with parameters of type Types.ExecMode
Modifier and Type
Method
Description
`static ExecutionContext`
ExecutionContextFactory.`createContext(boolean allocateVars, boolean allocateLineage, Program prog, Types.ExecMode mode)`
`static ExecutionContext`
ExecutionContextFactory.`createContext(Types.ExecMode mode)`